// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: resources.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Resources {

  /// <summary>Holder for reflection information generated from resources.proto</summary>
  public static partial class ResourcesReflection {

    #region Descriptor
    /// <summary>File descriptor for resources.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static ResourcesReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cg9yZXNvdXJjZXMucHJvdG8SCXJlc291cmNlcyo5CgxSZXNvdXJjZVR5cGUS",
            "CgoGRk9SRVNUEAASCAoEV09PRBABEggKBEdPTEQQAhIJCgVQTEFOSxADQjJa",
            "MGdpdGxhYi5jb20vdmFqYXJfbWluaWdhbWUvcHJvdG9fZ28vZ2VuL3Jlc291",
            "cmNlc2IGcHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(new[] {typeof(global::Resources.ResourceType), }, null, null));
    }
    #endregion

  }
  #region Enums
  public enum ResourceType {
    [pbr::OriginalName("FOREST")] Forest = 0,
    [pbr::OriginalName("WOOD")] Wood = 1,
    [pbr::OriginalName("GOLD")] Gold = 2,
    [pbr::OriginalName("PLANK")] Plank = 3,
  }

  #endregion

}

#endregion Designer generated code
